-#!/bin/bash
+#!/usr/bin/env bash
# SPDX-License-Identifier: MIT
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
unset LC_CTYPE
unset LANG
test -d linux || git clone https://github.com/AsahiLinux/linux
cd linux
git fetch -a -t
- git reset --hard origin/asahi-wip;
- curl -sL https://tg.st/u/e633ae8c7e2f16d7bc845a0695e583a836d94846e1c33da182216e565c3769c4.config > .config
- make olddefconfig
- make -j `nproc` V=0 > /dev/null
- sudo make modules_install
- sudo make install
+ git reset --hard origin/gpu/rust-wip;
+ source "$HOME/.cargo/env"
+ curl -sL https://tg.st/u/3007a82fe2f3ef7d91945e1cb3e5a167f8d6b0550ecb67850d1cd85f3efa112e.config > .config
+ make LLVM=-14 olddefconfig
+ make LLVM=-14 -j `nproc` V=0 > /dev/null
+ sudo make LLVM=-14 modules_install
+ sudo make LLVM=-14 install
)
}
cd u-boot
git fetch -a -t
git reset --hard origin/asahi;
- curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
+ curl -s https://tg.st/u/0001-usb_setup_descriptor-Add-1ms-delay-in-order-to-unbre.patch | patch -p1
make apple_m1_defconfig
make -j `nproc`
)